Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002756Zandronum[All Projects] Bugpublic2016-06-15 08:282016-09-19 07:40
ReporterFilystea 
Assigned To 
PrioritynoneSeverityminorReproducibilityunable to reproduce
StatusclosedResolutionunable to reproduce 
Platformlinux debianOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0002756: Strange
DescriptionServer after closing turned my doom2.wad to 9 bytes.
Had to download binary again since it was unable to start working after giving it back the good doom2.wad I guess it fucked up few more things.

Happened on the newest version.
Steps To Reproduceno idea
Additional InformationLinux abba 3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt25-2 (2016-04-08) x86_64 GNU/Linux
Attached Files

- Relationships

-  Notes
User avatar (0015081)
Filystea (reporter)
2016-06-15 08:29
edited on: 2016-06-15 08:30

Happened on the newest version. ** of zandronum.160519-2047

User avatar (0015120)
Torr Samaho (administrator)
2016-06-26 12:08

Can you reproduce the problem? Or did it just happen once and never again?
User avatar (0015154)
Filystea (reporter)
2016-06-30 05:27
edited on: 2016-06-30 07:46

It happened only one time. It actually cleared not only doom2.wad but all wads i have loaded.

Tbh not feeling to help after getting master ban without stating for what but...

I remember one thing. But I can't say this is 100% what caused it.
There was something messed with decorate states when that happened.
It's hard to say what happened because the newly saved wads of mod were erased.
And I am not even sure what was messed. Those are shots:

Attac1:
 goto Attac2 // when Attac2 does not exist.

or...

Attac1:
 /* commented whole out */

I did not dare to check after that happened since simply I lost quite time writing back in my mod code that was lost due to the thing that happened.

Slade can't be blamed since i did not open doom2.wad in slade and other wads.
Basically all loaded by zandronum iwads and pwads were destroyed. Possibly by broken decorate code.

Tomorrow i will check it (try to generate it) and answer rest of questions. No time today.

User avatar (0015665)
Combinebobnt (reporter)
2016-09-19 03:38

yea i tried that and variations a while ago and definitely could not reproduce
User avatar (0015666)
Filystea (reporter)
2016-09-19 07:31
edited on: 2016-09-19 07:33

This one can be closed. It was long ago and I was never able to reproduce it. No idea what happened back then.

The only trace was that I had something fucked up in decorate code.

User avatar (0015667)
Dusk (developer)
2016-09-19 07:40

Kind of figured as much.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2016-06-15 08:28 Filystea New Issue
2016-06-15 08:29 Filystea Note Added: 0015081
2016-06-15 08:30 Filystea Note Edited: 0015081 View Revisions
2016-06-17 21:38 StrikerMan780 File Added: iWKad22.jpg
2016-06-17 22:30 Dusk File Deleted: iWKad22.jpg
2016-06-26 12:08 Torr Samaho Note Added: 0015120
2016-06-30 05:27 Filystea Note Added: 0015154
2016-06-30 05:27 Filystea Note Edited: 0015154 View Revisions
2016-06-30 05:39 Filystea Note Edited: 0015154 View Revisions
2016-06-30 05:39 Filystea Note Edited: 0015154 View Revisions
2016-06-30 07:46 Filystea Note Edited: 0015154 View Revisions
2016-06-30 07:46 Filystea Note Edited: 0015154 View Revisions
2016-09-19 03:38 Combinebobnt Note Added: 0015665
2016-09-19 07:31 Filystea Note Added: 0015666
2016-09-19 07:33 Filystea Note Edited: 0015666 View Revisions
2016-09-19 07:40 Dusk Note Added: 0015667
2016-09-19 07:40 Dusk Status new => closed
2016-09-19 07:40 Dusk Resolution open => unable to reproduce






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker